osapi.jive.corev3.people.ProfileImage

Represents a Jive user's profile image. An example JSON representation looks like this:

{
  "type" : "profileImage",
  "status" : "published",
  "index" : 1,
  "ref" : "https://example.jiveon.com/api/core/v3/people/1/images/1/data",
  "contentType" : "image/png",
  "published" : "2012-07-14T00:11:28.916+0000",
  "updated" : "2012-07-14T00:11:28.916+0000",
  "id" : "2001",
  "resources" : {
    "self" : {
      "ref" : "https://example.jiveon.com/api/core/v3/people/1/images/1",
      "allowed" : [ "GET", "DELETE", "POST" ]
    }
  }
}

Properties

PropertyTypeMode †Description
followerCountIntegerread-only↑

Number of people following this object.

Availability:

Will be present only for object types that support being followed.

idStringread-only↑

Identifier (unique within an object type and Jive instance) of this object. This field is internal to Jive and should not be confused with contentID or placeID used in URIs.

likeCountIntegerread-only↑

Number of people who have liked this object.

Availability:

Will be present only for object types that support being liked.

publishedISO 8601 Dateread-only↑

Date and time this object was originally created.

refObjectread-only↑
URI of this profile image. The bits of the image are returned.
resourcesObjectread-only↑

Resource links (and related permissions for the requesting person) relevant to this object.

tagsString[]optional↑

Tags associated with this object.

Availability:

Will be present only for object types that support tags

typeStringread-only↑
updatedISO 8601 Dateread-only↑

Date and time this object was most recently updated.

†
→ Fields used by update and create operations
→ Fields used only by create operations
→ Fields not used by update or create operations

Methods

↑
destroy()
DELETE /people/1234/images/1

Retrieves

--

Description

Delete this image.

↑
get(options)
GET /people/1234/images/1

Retrieves

ProfileImage

Description

Return an updated version of this image.

Options:
NameTypeRequiredDescription
fieldsStringfalseThe names of the fields to be returned
Retrieves:
  • Image describing this image
  • ↑
    toURI()

    Retrieves

    String

    Description

    Retrieves:
  • A URI representing this entity, or undefined if no such URI exists.
  • ↑
    update()
    PUT /people/1234/images/1

    Retrieves

    Image

    Description

    Update the information about this image.

    Retrieves:
  • Image representing the updated image